X2Go Bug report logs - #1387
Menus of applications open in the wrong display (single application mode, two displays)

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Aki Ketolainen <akik@mykolab.com>

Date: Mon, 6 May 2019 11:30:02 UTC

Severity: normal

Found in version 4.1.2.0

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1387; Package x2goclient. (Mon, 06 May 2019 11:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to Aki Ketolainen <akik@mykolab.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 06 May 2019 11:30:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Aki Ketolainen <akik@mykolab.com>
To: submit@bugs.x2go.org
Subject: Menus of applications open in the wrong display (single application mode, two displays)
Date: Mon, 06 May 2019 11:19:12 +0000
Package: x2goclient
Version: 4.1.2.0

I have a two display setup, with my laptop on the left and an external 
display on the right.
I'm using the single application mode to open a xfterm4 terminal.

When I first open the x2go session, the menus of the xfterm4 terminal 
work correct. But if I suspend
the session and then later resume it, the menus of the xfterm4 terminal 
open on the wrong display,
on my laptop's display, while the xfterm4 terminal is on the external 
display.

If I then try to select the menus of the xfterm4 terminal with my mouse, 
I can not select the menu items.
I can select them if I open the menus with my keyboard shortcuts.

If I move the xfterm4 terminal all the way to the left side of the 
laptop display, the menus of the xfterm4
terminal show in the correct way.

I found an existing bug report about a similar problem:

https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=417

The bug can also be reproduced by using the Linux x2go client running on 
the MATE desktop.

Best regards,

Aki


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1387; Package x2goclient. (Mon, 06 May 2019 12:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to Lohn24 Technik Lohn24 Abrechnungsgesellschaft mbH <technik@lohn24.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 06 May 2019 12:05:02 GMT) (full text, mbox, link).


Message #10 received at 1387@bugs.x2go.org (full text, mbox, reply):

From: Lohn24 Technik Lohn24 Abrechnungsgesellschaft mbH <technik@lohn24.de>
To: Aki Ketolainen <akik@mykolab.com>, 1387@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1387: Menus of applications open in the wrong display (single application mode, two displays)
Date: Mon, 06 May 2019 13:56:06 +0200
I can confirm the behavior for icewm sometimes ...


----------------ursprüngliche Nachricht-----------------
Von:Aki Ketolainen [akik@mykolab.com]
An:submit@bugs.x2go.org
Datum:Mon, 06 May 2019 11:19:12 +0000
-------------------------------------------------


> Package:x2goclient
> Version:4.1.2.0
>
> I have a two display setup, with my laptop on the left and an external
> display on the right.
> I'm using the single application mode to open a xfterm4 terminal.
>
> When I first open the x2go session, the menus of the xfterm4 terminal
> work correct. But if I suspend
> the session and then later resume it, the menus of the xfterm4 terminal
> open on the wrong display,
> on my laptop's display, while the xfterm4 terminal is on the external
> display.
>
> If I then try to select the menus of the xfterm4 terminal with my mouse,
> I can not select the menu items.
> I can select them if I open the menus with my keyboard shortcuts.
>
> If I move the xfterm4 terminal all the way to the left side of the  
> laptop display, the menus of the xfterm4
> terminal show in the correct way.
>
> I found an existing bug report about a similar problem:
>
> https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=417
>
> The bug can also be reproduced by using the Linux x2go client running on
> the MATE desktop.
>
> Best regards,
>
> Aki
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> https://lists.x2go.org/listinfo/x2go-dev
> --
> Diese Nachricht wurde auf Viren und andere gefaehrliche Inhalte untersucht
> und ist wahrscheinlich sauber.
>
>
>


Mit freundlichen Grüßen,

Georg Klimm

Lohn24 Abrechnungsgesellschaft mbH
Hausanschrift: Jahnstr. 35 * 12347 Berlin
Postanschrift: Postfach 47 06 69 * 12315 Berlin
Tel: +49 30 6840881-499 * Fax: +49 30 6644208
Internet: https://www.lohn24.de
AG Berlin-Charlottenburg HRB 92027
Geschäftsführer: Hans-Joachim May, Christoph Ludwigs, Hans-Georg Klimm
USt-ID: DE233965560


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1387; Package x2goclient. (Mon, 06 May 2019 13:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 06 May 2019 13:25:02 GMT) (full text, mbox, link).


Message #15 received at 1387@bugs.x2go.org (full text, mbox, reply):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: Lohn24 Technik Lohn24 Abrechnungsgesellschaft mbH <technik@lohn24.de>, 1387@bugs.x2go.org
Cc: Aki Ketolainen <akik@mykolab.com>
Subject: Re: [X2Go-Dev] Bug#1387: Menus of applications open in the wrong display (single application mode, two displays)
Date: Mon, 6 May 2019 15:22:38 +0200
[Message part 1 (text/plain, inline)]
Do you have (the current) nxagent 3.5.99.20? I have fixed this some time
ago. If this is still happening we need to do some further investigation.

Uli

Lohn24 Technik Lohn24 Abrechnungsgesellschaft mbH <technik@lohn24.de>
schrieb am Mo., 6. Mai 2019, 14:07:

> I can confirm the behavior for icewm sometimes ...
>
>
> ----------------ursprüngliche Nachricht-----------------
> Von:Aki Ketolainen [akik@mykolab.com]
> An:submit@bugs.x2go.org
> Datum:Mon, 06 May 2019 11:19:12 +0000
> -------------------------------------------------
>
>
> > Package:x2goclient
> > Version:4.1.2.0
> >
> > I have a two display setup, with my laptop on the left and an external
> > display on the right.
> > I'm using the single application mode to open a xfterm4 terminal.
> >
> > When I first open the x2go session, the menus of the xfterm4 terminal
> > work correct. But if I suspend
> > the session and then later resume it, the menus of the xfterm4 terminal
> > open on the wrong display,
> > on my laptop's display, while the xfterm4 terminal is on the external
> > display.
> >
> > If I then try to select the menus of the xfterm4 terminal with my mouse,
> > I can not select the menu items.
> > I can select them if I open the menus with my keyboard shortcuts.
> >
> > If I move the xfterm4 terminal all the way to the left side of the
> > laptop display, the menus of the xfterm4
> > terminal show in the correct way.
> >
> > I found an existing bug report about a similar problem:
> >
> > https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=417
> >
> > The bug can also be reproduced by using the Linux x2go client running on
> > the MATE desktop.
> >
> > Best regards,
> >
> > Aki
> > _______________________________________________
> > x2go-dev mailing list
> > x2go-dev@lists.x2go.org
> > https://lists.x2go.org/listinfo/x2go-dev
> > --
> > Diese Nachricht wurde auf Viren und andere gefaehrliche Inhalte
> untersucht
> > und ist wahrscheinlich sauber.
> >
> >
> >
>
>
> Mit freundlichen Grüßen,
>
> Georg Klimm
>
> Lohn24 Abrechnungsgesellschaft mbH
> Hausanschrift: Jahnstr. 35 * 12347 Berlin
> Postanschrift: Postfach 47 06 69 * 12315 Berlin
> Tel: +49 30 6840881-499 * Fax: +49 30 6644208
> Internet: https://www.lohn24.de
> AG Berlin-Charlottenburg HRB 92027
> Geschäftsführer: Hans-Joachim May, Christoph Ludwigs, Hans-Georg Klimm
> USt-ID: DE233965560
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> https://lists.x2go.org/listinfo/x2go-dev
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1387; Package x2goclient. (Mon, 06 May 2019 13:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Aki Ketolainen <akik@mykolab.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 06 May 2019 13:50:02 GMT) (full text, mbox, link).


Message #20 received at 1387@bugs.x2go.org (full text, mbox, reply):

From: Aki Ketolainen <akik@mykolab.com>
To: uli42@gmx.de
Cc: Lohn24 Technik Lohn24 Abrechnungsgesellschaft mbH <technik@lohn24.de>, 1387@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1387: Menus of applications open in the wrong display (single application mode, two displays)
Date: Mon, 06 May 2019 13:39:46 +0000
[Message part 1 (text/plain, inline)]
No, it's 

$ nxagent -version
NXAGENT - Version 3.5.99.17 

Maybe all that's needed is an update? The OS is CentOS 6.10. 

Best regards, 

Aki 

On 2019-05-06 13:22, Ulrich Sibiller wrote:

> Do you have (the current) nxagent 3.5.99.20? I have fixed this some time ago. If this is still happening we need to do some further investigation. 
> 
> Uli 
> 
> Lohn24 Technik Lohn24 Abrechnungsgesellschaft mbH <technik@lohn24.de> schrieb am Mo., 6. Mai 2019, 14:07: 
> 
>> I can confirm the behavior for icewm sometimes ...
>> 
>> ----------------ursprüngliche Nachricht-----------------
>> Von:Aki Ketolainen [akik@mykolab.com]
>> An:submit@bugs.x2go.org
>> Datum:Mon, 06 May 2019 11:19:12 +0000
>> -------------------------------------------------
>> 
>>> Package:x2goclient
>>> Version:4.1.2.0
>>> 
>>> I have a two display setup, with my laptop on the left and an external
>>> display on the right.
>>> I'm using the single application mode to open a xfterm4 terminal.
>>> 
>>> When I first open the x2go session, the menus of the xfterm4 terminal
>>> work correct. But if I suspend
>>> the session and then later resume it, the menus of the xfterm4 terminal
>>> open on the wrong display,
>>> on my laptop's display, while the xfterm4 terminal is on the external
>>> display.
>>> 
>>> If I then try to select the menus of the xfterm4 terminal with my mouse,
>>> I can not select the menu items.
>>> I can select them if I open the menus with my keyboard shortcuts.
>>> 
>>> If I move the xfterm4 terminal all the way to the left side of the  
>>> laptop display, the menus of the xfterm4
>>> terminal show in the correct way.
>>> 
>>> I found an existing bug report about a similar problem:
>>> 
>>> https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=417
>>> 
>>> The bug can also be reproduced by using the Linux x2go client running on
>>> the MATE desktop.
>>> 
>>> Best regards,
>>> 
>>> Aki
>>> _______________________________________________
>>> x2go-dev mailing list
>>> x2go-dev@lists.x2go.org
>>> https://lists.x2go.org/listinfo/x2go-dev
>>> --
>>> Diese Nachricht wurde auf Viren und andere gefaehrliche Inhalte untersucht
>>> und ist wahrscheinlich sauber.
>>> 
>>> 
>>> 
>> 
>> Mit freundlichen Grüßen,
>> 
>> Georg Klimm
>> 
>> Lohn24 Abrechnungsgesellschaft mbH
>> Hausanschrift: Jahnstr. 35 * 12347 Berlin
>> Postanschrift: Postfach 47 06 69 * 12315 Berlin
>> Tel: +49 30 6840881-499 * Fax: +49 30 6644208
>> Internet: https://www.lohn24.de
>> AG Berlin-Charlottenburg HRB 92027
>> Geschäftsführer: Hans-Joachim May, Christoph Ludwigs, Hans-Georg Klimm
>> USt-ID: DE233965560
>> _______________________________________________
>> x2go-dev mailing list
>> x2go-dev@lists.x2go.org
>> https://lists.x2go.org/listinfo/x2go-dev
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1387; Package x2goclient. (Mon, 06 May 2019 15:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to Ulrich Sibiller <uli42@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 06 May 2019 15:30:02 GMT) (full text, mbox, link).


Message #25 received at 1387@bugs.x2go.org (full text, mbox, reply):

From: Ulrich Sibiller <uli42@gmx.de>
To: Aki Ketolainen <akik@mykolab.com>
Cc: Lohn24 Technik Lohn24 Abrechnungsgesellschaft mbH <technik@lohn24.de>, 1387@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1387: Menus of applications open in the wrong display (single application mode, two displays)
Date: Mon, 6 May 2019 17:27:45 +0200
On Mon, May 6, 2019 at 3:39 PM Aki Ketolainen <akik@mykolab.com> wrote:
>
> No, it's
>
> $ nxagent -version
> NXAGENT - Version 3.5.99.17
>
> Maybe all that's needed is an update? The OS is CentOS 6.10.

Yes, please update!

Uli


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1387; Package x2goclient. (Mon, 06 May 2019 17:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to Tristan Miller <psychonaut@nothingisreal.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 06 May 2019 17:25:02 GMT) (full text, mbox, link).


Message #30 received at 1387@bugs.x2go.org (full text, mbox, reply):

From: Tristan Miller <psychonaut@nothingisreal.com>
To: x2go-dev@lists.x2go.org
Cc: uli42@gmx.de, 1387@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1387: Bug#1387: Menus of applications open in the wrong display (single application mode, two displays)
Date: Mon, 6 May 2019 19:15:19 +0200
[Message part 1 (text/plain, inline)]
Greetings.

On Mon, 6 May 2019 15:22:38 +0200, Ulrich Sibiller
<ulrich.sibiller@gmail.com> wrote:
> Do you have (the current) nxagent 3.5.99.20? I have fixed this some
> time ago. If this is still happening we need to do some further
> investigation.

So this is a duplicate of
<https://github.com/ArcticaProject/nx-libs/issues/757>?

Regards,
Tristan

-- 
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
                  Tristan Miller
Free Software developer, ferret herder, logologist
             https://logological.org/
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1387; Package x2goclient. (Thu, 09 May 2019 09:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 09 May 2019 09:05:01 GMT) (full text, mbox, link).


Message #35 received at 1387@bugs.x2go.org (full text, mbox, reply):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: Tristan Miller <psychonaut@nothingisreal.com>, 1387@bugs.x2go.org
Cc: x2go-dev@lists.x2go.org
Subject: Re: [X2Go-Dev] Bug#1387: Bug#1387: Bug#1387: Menus of applications open in the wrong display (single application mode, two displays)
Date: Thu, 9 May 2019 11:00:27 +0200
On Mon, May 6, 2019 at 7:30 PM Tristan Miller
<psychonaut@nothingisreal.com> wrote:
>
> Greetings.
>
> On Mon, 6 May 2019 15:22:38 +0200, Ulrich Sibiller
> <ulrich.sibiller@gmail.com> wrote:
> > Do you have (the current) nxagent 3.5.99.20? I have fixed this some
> > time ago. If this is still happening we need to do some further
> > investigation.
>
> So this is a duplicate of
> <https://github.com/ArcticaProject/nx-libs/issues/757>?

I suppose so, yes.

Uli


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Nov 21 03:53:35 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.